otpclient-cli(1)

NAME
OTPClient-CLI - command-line for OTPClient

SYNOPSIS
otpclient-cli [OPTIONS]

DESCRIPTION
OTPClient-CLI is simplified version of OTPClient.

Operations supported:

•   list: this will print all pairs of account and issuer that are in the database.

•   show: this will show the OTP for a given account/issuer.

•   export: this will export data in either one of the following format: andotp_plain, andotp_encrypted, freeotpplus and aegis.

OPTIONS
Help Options:

    -h, --help
        Show this help.

    --help-show
        Show options.

    --help-export
        Export options.

Main Options:

    -v, --version
        Show program version.

    show
        Show a token.

    list
        List all pairs of account and issuer.

    export
        Export data.

Show Options:

    -a, --account
        The account name (mandatory).

    -i, --issuer
        The issuer name (optional).

    -m, --match-exactly
        Show the token only if it matches exactly the account and/or the issuer (optional).

    -n, --next
        Show also the next token, not only the current one (optional, valid only for TOTP).

Export Options:

    -t, --type
        Export format. Must be either one of: andotp_plain, andotp_encrypted, freeotpplus, aegis.

    -d, --directory
        The output directory where the exported file will be saved. If nothing is specified, the output folder will be the user's HOME directory.

USAGE
otpclient-cli <main option> [option 1] [option 2] ...

NOTES
For other information and tutorials, see:

•   https://github.com/paolostivanin/OTPClient/wiki

AUTHOR
OTPClient-CLI was written by Paolo Stivanin.

This manual page was written by Francisco Vilmar Cardoso Ruviaro for the Debian project (but may be used by others).